<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	            xmlns:ui="http://java.sun.com/jsf/facelets"	   
	            xmlns:h="http://java.sun.com/jsf/html"
	            xmlns:f="http://java.sun.com/jsf/core"
	            xmlns:p="http://primefaces.org/ui"
	            template="/WEB-INF/templates/interno/templateBranco.xhtml">
	            
	<ui:define name="content">
	
	<h:form id="FornecedorListForm" class="form-height">

		<p:contextMenu id="FornecedorDataTableContextMenu" for="datalist">
		    <p:menuitem value="Novo" onclick="document.getElementById('FornecedorListForm:datalist:createButton').click();" icon="fa fa-plus"/>
            <p:menuitem value="Editar" onclick="document.getElementById('FornecedorListForm:datalist:editButton').click();" icon="ui-icon-pencil"/>
            <p:menuitem value="Deletar" onclick="document.getElementById('FornecedorListForm:datalist:deleteButton').click();" icon="ui-icon-trash"/>	
		</p:contextMenu>
		
		<p:messages showDetail="true" autoUpdate="true" closable="true"/>

		<p:dataTable id="datalist" 
		             var="cargo" 
		             value="#{cargoBean.listarTodos()}"
			         selectionMode="single" 
			         selection="#{cargoBean.cargoSelecionado}"
			         rowKey="#{cargo.id}" 
			          paginator="true"
                     rows="20"
                     
                     rowsPerPageTemplate="20,40,60"
   			         paginatorTemplate="{buttons} {CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
			         paginatorPosition="buttom" >
			          
			         <f:facet name="header">
                <div class="row row-nomargin">
                    
                    <div class="col-lg-12">
                        <h:outputText value="Cargos"/>
                    </div>
                    
                </div>
            </f:facet>
			<p:ajax event="rowSelect" update="datalist" />
			
			<p:column headerText="Cargo">
				<h:outputText value="#{cargo.cargo}" />
			</p:column>
			
			<p:column headerText="Salario em R$">
				<h:outputText value="#{cargo.salario}" />
			</p:column>
			
			<p:column headerText="Data de reajuste">
				<h:outputText value="#{cargo.dataReajuste}" />
			</p:column>
			
			<p:column headerText="tipo">
				<h:outputText value="#{cargo.tipo}" />
			</p:column>
			
			<f:facet name="{buttons}">
                 <div class="footer-left">  
                    <p:commandButton id="createButton" styleClass="btn-primary" icon="fa fa-plus" value="Cadastrar" onclick="PF('CadastroFornecedor').show();" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()"/>
                    <p:commandButton id="editButton"   styleClass="btn-primary" icon="fa fa-pencil" value="Alterar" onclick="PF('EditFornecedor').show();" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()" disabled="#{empty cargoBean.cargoSelecionado}" update="EditFornecedorform"/>
                    <p:commandButton id="deleteButton" styleClass="btn-primary" icon="fa fa-trash"  value="Deletar" action="#{cargoBean.deletar()}" update="datalist" disabled="#{empty cargoBean.cargoSelecionado}" onstart="PF('Loading').show()" onsuccess="PF('Loading').hide()">
                        <p:confirm header="Confirmação" message="Deseja deletar #{cargoBean.cargoSelecionado.cargo}?" icon="fa fa-warning"/>
                    </p:commandButton> 
                 </div>   
                
			</f:facet>
		</p:dataTable>

		<p:confirmDialog global="true" styleClass="box box-danger">  
          <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes btn-success" icon="fa fa-check"/>  
          <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no btn-danger" icon="fa fa-remove"/>       
        </p:confirmDialog>
	</h:form>
	
	<p:dialog  id="CadastroFornecedorId" widgetVar="CadastroFornecedor" modal="true" resizable="false"
			   closeOnEscape="true" header="Cadastro de exame"
			   appendTo="@(body)" styleClass="box box-primary">

         <h:form id="CadastroFornecedorform">
         <p:messages id="msgs" autoUpdate="true" closable="true"/>
			<h:panelGroup id="displayCadastrar">
				<p:panelGrid columns="2" columnClasses="column" rendered="true">
					
                    <p:outputLabel value="Cargo: " />
					<p:inputText value="#{cargoBean.cargo.cargo}" />
					
					<p:outputLabel value="Salario: " />
					<p:inputText value="#{cargoBean.cargo.salario}" />
				
					<p:outputLabel value="Tipo: " />
					<p:inputText value="#{cargoBean.cargo.tipo}" />
				
					<p:outputLabel for="dataReajuste" value="Data de reajuste:" />
               		<p:calendar id="dataReajuste" value="#{cargoBean.cargo.dataReajuste}" pattern="dd-MM-yyyy" mask="true" />
               		
					<f:facet name="footer">
						<div class="footer-right footer">
							<p:commandButton icon="fa fa-check-square-o fa-lg"
								styleClass="btn-success"
								value="Cadsastrar" action="#{cargoBean.salvar()}" update="@all"/>
								  
							<p:commandButton icon="fa fa-close fa-lg" styleClass="btn-danger"
								value="Cancelar"
								onclick="PF('CadastroFornecedor').hide()" immediate="true" />
						</div>
					</f:facet>
				</p:panelGrid>
			</h:panelGroup>
		</h:form>
		</p:dialog>
		
		
		<p:dialog  id="EditFornecedorId" widgetVar="EditFornecedor" modal="true" resizable="false"
			   closeOnEscape="true" header="Alterar cadastro do exame"
			   appendTo="@(body)" styleClass="box box-primary">

         <h:form id="EditFornecedorform">
         <p:messages id="msgs" autoUpdate="true" closable="true"/>
			<h:panelGroup id="displayEditar">
				<p:panelGrid columns="2" columnClasses="column" rendered="true">
			
                    <p:outputLabel value="Cargo: " />
					<p:inputText value="#{cargoBean.cargoSelecionado.cargo}" />
					
					<p:outputLabel value="Salario: " />
					<p:inputText value="#{cargoBean.cargoSelecionado.salario}" />
				
					<p:outputLabel value="Tipo: " />
					<p:inputText value="#{cargoBean.cargoSelecionado.tipo}" />
				
					<p:outputLabel for="dataReajuste" value="Data de reajuste:" />
               		<p:calendar id="dataReajuste" value="#{cargoBean.cargoSelecionado.dataReajuste}" pattern="dd-MM-yyyy" mask="true" />

					<f:facet name="footer">
						<div class="footer-right footer">
							<p:commandButton icon="fa fa-check-square-o fa-lg"
								styleClass="btn-success"
								value="Alterar" action="#{cargoBean.alterar()}" update="@all"/>
								  
							<p:commandButton icon="fa fa-close fa-lg" styleClass="btn-danger"
								value="Cancelar"
								onclick="PF('EditFornecedor').hide()" immediate="true" />
						</div>
					</f:facet>
				</p:panelGrid>
			</h:panelGroup>
		</h:form>
		</p:dialog>
	
	</ui:define>            

</ui:composition>
